Zum Inhalt springen

Contact Handles

Zuletzt aktualisiert am

Creates a new set of contact details. A handle bundles the information for Owner, Admin, and Tech contacts.

URL: POST /api/v1/organizations/{organizationId}/contact-handles

Request Body:

{
"contactHandleName": "Standard Geschäftsführung",
"owner": {
"firstName": "Max",
"lastName": "Mustermann",
"organizationName": "STACKIT GmbH & Co. KG",
"street": "Stiftsbergstraße",
"houseNumber": "1",
"city": "Neckarsulm",
"postalCode": "74172",
"countryCode": "DE",
"emailAddress": "info@stackit.de",
"phoneNumberPrefix": "+49",
"phoneNumber": "7132 30474747"
},
"admin": {
/* Identisch zu owner oder abweichend */
},
"tech": {
/* Identisch zu owner oder abweichend */
}
}

Lists all available contact handles for your organization.

URL: GET /api/v1/organizations/{organizationId}/contact-handles

Defines a handle as the default. This handle is automatically used if no specific ID is provided during a domain order.

URL: PATCH /api/v1/organizations/{organizationId}/contact-handles/organization-default

Request Body:

{ "contactHandleId": "5bac8419-0d76-44c1-9216-7da5eb7d0ec2" }

Removes a specific contact handle from the organization. Important Rule: A handle can only be deleted if it is not currently assigned to an active domain and is not set as the Organization Default.

URL: DELETE /api/v1/organizations/{organizationId}/contact-handles/{contactHandleId}

Response (Deleted successfully):

204 No Content